Permalink
Browse files

Merge pull request #76 from highwaybobbery/master

Updated all gems to latest versions (rails 3.2.2)
  • Loading branch information...
croaky committed Apr 3, 2012
2 parents 76e42eb + 1243fc0 commit 02c7fda05ea33c33137a91e74be15693b1ae3f71
Showing with 75 additions and 81 deletions.
  1. +66 −72 Gemfile.lock
  2. +1 −1 lib/suspenders/app_builder.rb
  3. +1 −1 lib/suspenders/version.rb
  4. +4 −4 suspenders.gemspec
  5. +3 −3 templates/Gemfile_additions
View
@@ -1,126 +1,120 @@
PATH
remote: .
specs:
- suspenders (0.3.2)
- bundler (>= 1.0.7)
- rails (= 3.1.1)
+ suspenders (0.3.3)
+ bundler (>= 1.1)
+ rails (= 3.2.2)
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.1.1)
- actionpack (= 3.1.1)
- mail (~> 2.3.0)
- actionpack (3.1.1)
- activemodel (= 3.1.1)
- activesupport (= 3.1.1)
+ actionmailer (3.2.2)
+ actionpack (= 3.2.2)
+ mail (~> 2.4.0)
+ actionpack (3.2.2)
+ activemodel (= 3.2.2)
+ activesupport (= 3.2.2)
builder (~> 3.0.0)
erubis (~> 2.7.0)
- i18n (~> 0.6)
- rack (~> 1.3.2)
+ journey (~> 1.0.1)
+ rack (~> 1.4.0)
rack-cache (~> 1.1)
- rack-mount (~> 0.8.2)
rack-test (~> 0.6.1)
- sprockets (~> 2.0.2)
- activemodel (3.1.1)
- activesupport (= 3.1.1)
+ sprockets (~> 2.1.2)
+ activemodel (3.2.2)
+ activesupport (= 3.2.2)
builder (~> 3.0.0)
- i18n (~> 0.6)
- activerecord (3.1.1)
- activemodel (= 3.1.1)
- activesupport (= 3.1.1)
- arel (~> 2.2.1)
+ activerecord (3.2.2)
+ activemodel (= 3.2.2)
+ activesupport (= 3.2.2)
+ arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activeresource (3.1.1)
- activemodel (= 3.1.1)
- activesupport (= 3.1.1)
- activesupport (3.1.1)
+ activeresource (3.2.2)
+ activemodel (= 3.2.2)
+ activesupport (= 3.2.2)
+ activesupport (3.2.2)
+ i18n (~> 0.6)
multi_json (~> 1.0)
- arel (2.2.1)
- aruba (0.4.6)
- bcat (>= 0.6.1)
- childprocess (>= 0.2.0)
- cucumber (>= 1.0.2)
- rdiscount (>= 1.6.8)
- rspec (>= 2.6.0)
- bcat (0.6.2)
- rack (~> 1.0)
+ arel (3.0.2)
+ aruba (0.4.11)
+ childprocess (>= 0.2.3)
+ cucumber (>= 1.1.1)
+ ffi (>= 1.0.11)
+ rspec (>= 2.7.0)
builder (3.0.0)
- childprocess (0.2.2)
+ childprocess (0.3.1)
ffi (~> 1.0.6)
- cucumber (1.1.0)
+ cucumber (1.1.9)
builder (>= 2.1.2)
diff-lcs (>= 1.1.2)
- gherkin (~> 2.5.0)
+ gherkin (~> 2.9.0)
json (>= 1.4.6)
term-ansicolor (>= 1.0.6)
diff-lcs (1.1.3)
erubis (2.7.0)
- ffi (1.0.9)
- gherkin (2.5.4)
+ ffi (1.0.11)
+ gherkin (2.9.3)
json (>= 1.4.6)
hike (1.2.1)
i18n (0.6.0)
- json (1.6.1)
- mail (2.3.0)
+ journey (1.0.3)
+ json (1.6.6)
+ mail (2.4.4)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
- mime-types (1.17.2)
- multi_json (1.0.3)
- polyglot (0.3.2)
- rack (1.3.5)
- rack-cache (1.1)
+ mime-types (1.18)
+ multi_json (1.2.0)
+ polyglot (0.3.3)
+ rack (1.4.1)
+ rack-cache (1.2)
rack (>= 0.4)
- rack-mount (0.8.3)
- rack (>= 1.0.0)
rack-ssl (1.3.2)
rack
rack-test (0.6.1)
rack (>= 1.0)
- rails (3.1.1)
- actionmailer (= 3.1.1)
- actionpack (= 3.1.1)
- activerecord (= 3.1.1)
- activeresource (= 3.1.1)
- activesupport (= 3.1.1)
+ rails (3.2.2)
+ actionmailer (= 3.2.2)
+ actionpack (= 3.2.2)
+ activerecord (= 3.2.2)
+ activeresource (= 3.2.2)
+ activesupport (= 3.2.2)
bundler (~> 1.0)
- railties (= 3.1.1)
- railties (3.1.1)
- actionpack (= 3.1.1)
- activesupport (= 3.1.1)
+ railties (= 3.2.2)
+ railties (3.2.2)
+ actionpack (= 3.2.2)
+ activesupport (= 3.2.2)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (~> 0.14.6)
rake (0.9.2.2)
- rdiscount (1.6.8)
- rdoc (3.11)
+ rdoc (3.12)
json (~> 1.4)
- rspec (2.7.0)
- rspec-core (~> 2.7.0)
- rspec-expectations (~> 2.7.0)
- rspec-mocks (~> 2.7.0)
- rspec-core (2.7.1)
- rspec-expectations (2.7.0)
- diff-lcs (~> 1.1.2)
- rspec-mocks (2.7.0)
- sprockets (2.0.3)
+ rspec (2.9.0)
+ rspec-core (~> 2.9.0)
+ rspec-expectations (~> 2.9.0)
+ rspec-mocks (~> 2.9.0)
+ rspec-core (2.9.0)
+ rspec-expectations (2.9.0)
+ diff-lcs (~> 1.1.3)
+ rspec-mocks (2.9.0)
+ sprockets (2.1.2)
hike (~> 1.2)
rack (~> 1.0)
- tilt (!= 1.3.0, ~> 1.1)
+ tilt (~> 1.1, != 1.3.0)
term-ansicolor (1.0.7)
thor (0.14.6)
tilt (1.3.3)
treetop (1.4.10)
polyglot
polyglot (>= 0.3.1)
- tzinfo (0.3.30)
+ tzinfo (0.3.32)
PLATFORMS
ruby
DEPENDENCIES
- aruba (~> 0.4.6)
- cucumber (~> 1.1.0)
+ aruba (~> 0.4.11)
+ cucumber (~> 1.1.9)
suspenders!
@@ -80,7 +80,7 @@ def configure_action_mailer
def generate_rspec
generate "rspec:install"
- replace_in_file "spec/spec_helper.rb", "mock_with :rspec", "mock_with :mocha"
+ replace_in_file "spec/spec_helper.rb", "# config.mock_with :mocha", "config.mock_with :mocha"
end
def generate_cucumber
@@ -1,3 +1,3 @@
module Suspenders
- VERSION = '0.3.2'
+ VERSION = '0.3.3'
end
View
@@ -27,9 +27,9 @@ rush to build something amazing; don't use it if you like missing deadlines.
s.rdoc_options = ["--charset=UTF-8"]
s.extra_rdoc_files = %w[README.md LICENSE]
- s.add_dependency('rails', '3.1.1')
- s.add_dependency('bundler', '>= 1.0.7')
+ s.add_dependency('rails', '3.2.2')
+ s.add_dependency('bundler', '>= 1.1')
- s.add_development_dependency('cucumber', '~> 1.1.0')
- s.add_development_dependency('aruba', '~> 0.4.6')
+ s.add_development_dependency('cucumber', '~> 1.1.9')
+ s.add_development_dependency('aruba', '~> 0.4.11')
end
@@ -13,14 +13,14 @@ group :development do
end
group :development, :test do
- gem "rspec-rails", "~> 2.6.1"
+ gem "rspec-rails", "~> 2.9.0"
gem "ruby-debug19"
gem "sham_rack"
end
group :test do
- gem "cucumber-rails", "1.1.0"
- gem "capybara-webkit", "~> 0.7.1"
+ gem "cucumber-rails", "1.3.0"
+ gem "capybara-webkit", "~> 0.11.0"
gem "factory_girl_rails"
gem "bourne"
gem "database_cleaner"

0 comments on commit 02c7fda

Please sign in to comment.